namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "triple_kick")]
public class TripleKick : Script, IScriptChangeNumberOfHits, IScriptChangeBasePower
{
    /// <inheritdoc />
    public void ChangeNumberOfHits(IMoveChoice choice, ref byte numberOfHits)
    {
        numberOfHits = 3;
    }

    /// <inheritdoc />
    public void ChangeBasePower(IExecutingMove move, IPokemon target, byte hit, ref ushort basePower)
    {
        basePower *= (ushort)(hit + 1);
    }
}